EDIT - task #6364

feature request # 6361 (Closed): [MASTER] Merge all TaxonName classes into 1 class

Merge viral names and bacterial names into TaxonNameBase
01/21/2017 11:58 AM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Mller % Done: 100%
Category: cdmlib Estimated time: 2:00 hours
Target version: Release 4.6

Severity: normal

Description

by moving all functionality up, replacing all occurrences of ViralName in code, adapting cache strategies and writing validation rules

Associated revisions

Revision 0273613 - 01/30/2017 12:24 AM - Andreas Mdller

ref #6364 Move all ViraIName attributes up to TaxonNameBase

Revision 536aae8b - 01/30/2017 12:24 AM - Andreas Muller

ref #6364 Move all BacterialName attributes up to TaxonNameBase

Revision 0d8c0513 - 01/30/2017 12:24 AM - Andreas Muiller
ref #6365 ref #6360 ref #6364 replace taxon name factory methods

Revision 6369aae2 - 01/30/2017 10:45 AM - Andreas Miiller

fix #6364 use TaxonNameFactory for viral and bacterial names

History

#1 - 01/21/2017 11:59 AM - Andreas Miiller

- Tags set to validation

#2 - 01/21/2017 12:00 PM - Andreas Miuller

- Description updated

#3 - 01/21/2017 12:03 PM - Andreas Miuller
- Estimated time set to 2:00 h

#4 - 01/26/2017 11:26 PM - Andreas Miiller
- % Done changed from 0 to 40

#5 - 01/26/2017 11:26 PM - Andreas Miuller

- Target version changed from Unassigned CDM tickets to Release 4.6

#6 - 01/26/2017 11:50 PM - Andreas Miiller
- Subject changed from Merge viral names into TaxonNameBase to Merge viral names and bacterial names into TaxonNameBase

- Status changed from New to In Progress

#7 - 01/27/2017 01:08 AM - Andreas Miiller
- % Done changed from 40 to 60

#8 - 01/30/2017 10:45 AM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 60 to 50
Applied in changeset cdmlib|6369aae2b548ac9f046ff2a8e755326226ec7904.

#9 - 01/30/2017 01:31 PM - Andreas Miiller
- % Done changed from 50 to 90

#10 - 03/01/2017 02:21 PM - Andreas Miiller

- Status changed from Resolved to Closed

We close this. The remaining tasks will be done when really merging everything.

#11 - 06/05/2017 09:49 AM - Andreas Miiller
- % Done changed from 90 to 100
